<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Recharge Details</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:96%;
			margin:0 2%;
			padding:5px 10px;
		}
		.div1 input, .div1 select{
			height:40px;
			max-width:160px;
			font-size:14px;
			padding:5px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			height:450px;
			float:left;
			text-align:center;
			padding:5px;
			overflow:auto;
		}
		.div2 table{
			width:98%;
			text-align:center;
			font-size:13px;
			border-collapse:collapse;
			padding:2px 5px;
			margin:1%;
		}
        .div2 table tr:nth-child(odd){background:#f6f0e8;}
        .div2 table tr:nth-child(even){background:white; }
		table th{
			background:#6b5127;
			color:white;
			height:35px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			height:30px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
        .div2 table tr:hover{background:gray; color:white;}
		#inpNum, #lapuValue, #value1, #value2{display:none;}
		#analysisData{margin-left:2%;}
		#analysisData table td{padding:2px 5px;}
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input,.div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content" id="contentDiv">
			<div class="head">
				<div class="title"><i class="fa fa-bars" onclick="hideMenu()" style="float:left; margin:10px;"></i><p>Recharge Details :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
			    <script>
			        function hideMenu()
			        {
			            if(document.getElementById("navHide").style.display!="none")
			            {
			                document.getElementById("navHide").style.display = "none";
			                document.getElementById("contentDiv").style.width = "100%";
			            }
			            else
			            {
			                document.getElementById("navHide").style.display = "inline";
			                document.getElementById("contentDiv").style.width = "82%";
			            }
			        }
			        
			        
			        function diffType()
			        {
			            var DiffType = document.getElementById("Diff").value;
			            
			            if(DiffType=="ALL")
			            {
			                document.getElementById("status").style.display= "inline";
			                document.getElementById("inpNum").style.display= "none";
			            }
			            else
			            {
			                document.getElementById("status").style.display= "none";
			                document.getElementById("inpNum").style.display= "inline";
			            }
			        }
			    </script>
			    <?php
			        $OP=$_GET['OP'];
			        $rechDate=$_GET['rechDate'];
			        
			        if(empty($rechDate))
			        {
			            $rechDate=$date;
			        }
			        
			        if(isset($_POST['submit']))
			        {
			            $fDateValue=$_POST['fdate'];
			            $lDateValue=$_POST['ldate'];
			        }
			        else
			        {
			            $fDateValue=$rechDate;
			            $lDateValue=$rechDate;
			        }
			    ?>
				<form method="post">
					<div class="div1">
						<input type="date" name="fdate" id="date1" value="<?php echo $fDateValue; ?>">
						<input type="date" name="ldate" id="date2" value="<?php echo $lDateValue; ?>">
						<select name="status" id="status">
						    <option>SUCCESS</option>
						    <option>FAILED</option>
						    <option>PENDING</option>
						    <option>ALL</option>
						</select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
				</form>
						<input type="text" value="0"  id="lapuValue">
						<input type="text" value="0"  id="value1">
						<input type="text" value="0"  id="value2">
						<input type="button" value="Analysis"  onclick="analysisLapu()">
					</div>
				<script>
				    function setInpValue(Arg, lapuNo)
				    {
				        var inpVal1 = document.getElementById("value1").value;
				        var inpVal2 = document.getElementById("value2").value;
				        
				        if(inpVal1 < 1)
				        {
				            document.getElementById("value1").value = Arg;
				        }
				        else if(inpVal2 < 1)
				        {
				            document.getElementById("value2").value = Arg;
				        }
				        document.getElementById("lapuValue").value = lapuNo;
				    }
				    
				    function analysisLapu()
				    {
				        var inpVal1 = document.getElementById("value1").value;
				        var inpVal2 = document.getElementById("value2").value;
				        var lapuValue = document.getElementById("lapuValue").value;
				        
				        var xmlhttpState = new XMLHttpRequest();
							xmlhttpState.open("GET","Ajax.php?inpVal1="+inpVal1+"&inpVal2="+inpVal2+"&lapuValue="+lapuValue, false)
							xmlhttpState.send(null);
							document.getElementById("analysisData").innerHTML = xmlhttpState.responseText;
				    }
				</script>
				<div id="analysisData"></div>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th><i class="fa fa-check"></i></th>
							<th>Order Id</th>
							<th>Date Time</th>
							<th>Name</th>
							<th>Bal.</th>
							<th>Operator</th>
							<th>Mobile</th>
							<th>Amt.</th>
							<th>RO</th>
							<th>API</th>
							<th>NO</th>
							<th>L.Owner</th>
							<th>Lapu No.</th>
							<th>Api Bal</th>
							<th>Api Diff</th>
							<th>Op. Id</th>
							<th>#</th>
							<th>Status</th>
							<th>CB</th>
							<th>RS</th>
							<th>@</th>
						</tr>
						<?PHP
							if(isset($_POST['submit']))
							{
								$fdate = $_POST['fdate'];
								$ldate = $_POST['ldate'];
								$status = $_POST['status'];
								
								if($status=="ALL")
								{
								    $qu="SELECT * FROM recharge WHERE Companyname='$OP' AND Rechargedate>='$fdate' AND Rechargedate<='$ldate'";
								}
								else
								{
								    $qu="SELECT * FROM recharge WHERE Companyname='$OP' AND Rechargedate>='$fdate' AND Rechargedate<='$ldate' AND Status='SUCCESS'";
								}
							}
							else
							{
							    $qu="SELECT * FROM recharge WHERE Companyname='$OP' AND Rechargedate>='$rechDate' AND Rechargedate<='$rechDate' AND Status='SUCCESS'";
							}
							
							$re=mysqli_query($con,$qu);
							
							while($data=mysqli_fetch_array($re))
							{
								if($data['Status']=="FAILED")
								{
									$color="red";
								}
								elseif($data['Status']=="SUCCESS")
								{
									$color="green";
								}
								else
								{
									$color="blue";
								}
									
							    $usrName=getName($data['Userid']);
							    echo"<tr style='".$background."'>";
								    echo "<td><input type='checkbox' value='".$data['Id']."' id='".$data['Id']."' onclick='setInpValue(this.value,".$data['LapuNo'].")'></td>";
								    echo "<td><a href='check_txn_status.php?rechId=".$data['Id']."' target='_blank'>".$data['Id']."</a></td>";
									echo "<td>".$data['Rechargedate']." ".$data['Time']."</td>";
	    							echo "<td>".$usrName."</td>";
		    						echo "<td>".floor($data['Balance'])."</td>";
				    				echo "<td>".$data['Companyname']."</td>";
					    			echo "<td>".$data['Mobile']."</td>";
						    		echo "<td>".$data['Amount']."</td>";
						    		echo "<td>".getRA($data['R_Offer'])."</td>";
    								echo "<td>".$data['API']."</td>";
	    							echo "<td>".$data['API_NO']."</td>";
		    						echo "<td>".getLON($data['LapuNo'])."</td>";
	    							echo "<td>".$data['LapuNo']."</td>";
	    							echo "<td>".$data['ApiBal']."</td>";
					    			echo "<td>".getRA($data['Diff'])."</td>";
									echo "<td>".$data['Operatorid']."</td>";
					    			echo "<td>".$data['Responsetxt']."</td>";
						    		echo "<td><p id='".$color."'>".$data['Status']."</p></td>";
						    		echo "<td>";
										    if($data['CallBack']==0)
    										{
	    									    echo "<i class='fa fa-times'></i>";
		    								}
			    							else
				    						{
					    					    echo "<i class='fa fa-check'></i>";
						    				}
							   		echo "</td>";
						    		echo "<td>".$data['Roaming']."</td>";
							    	echo "<td>".$data['ReHit']."</td>";
							    echo"</tr>";
								$totalAmount=$totalAmount+$data['Amount'];
								$totalRO=$totalRO+$data['R_Offer'];
							}
							
							echo "<tr>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th>".$totalAmount."</th>";
							    echo "<th>".$totalRO."</th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th>".$totalRound500."</th>";
							    echo "<th>".$totalDiff."</th>";
							    echo "<th>".$totalRound1000."</th>";
							    echo "<th></th>";
							    echo "<th></th>";
							echo "</tr>";
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>